Page MenuHomePhabricator

Some citing messages are untranslatable
Closed, ResolvedPublic1 Story Points

Description

A screen from beta, uselang=pl. Some messages don't exist on translatewiki:

Event Timeline

tarlocesilion raised the priority of this task from to Needs Triage.
tarlocesilion updated the task description. (Show Details)
tarlocesilion added a subscriber: tarlocesilion.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 19 2015, 8:22 PM
Mvolz moved this task from Backlog to Extension on the Citoid board.May 19 2015, 8:28 PM

Those messages come directly from the Mediawiki:namespace messages[1] from the cite tool, so they wouldn't appear on translate wiki.

[1]http://en.wikipedia.beta.wmflabs.org/wiki/MediaWiki:Visualeditor-cite-tool-definition.json

This should also be the behaviour of these name even with citoid disabled- @Esanders?

Those messages come directly from the Mediawiki:namespace messages[1] from the cite tool, so they wouldn't appear on translate wiki.

If I understand correctly, we -- volunteers -- are supposed to maintain such decentralised pages? there will be many of them...?

It's about the messages for the tabs, actually. These are hardcoded.

The messages for each citation type are translateable (and apparently translated in Polish, so I wonder why they appear in English in the screenshot).

Change 212262 had a related patch set uploaded (by Bartosz Dziewoński):
Make citation dialog tabs translateable

https://gerrit.wikimedia.org/r/212262

Change 212262 merged by jenkins-bot:
Make citation dialog tabs translateable

https://gerrit.wikimedia.org/r/212262

Jdforrester-WMF closed this task as Resolved.May 21 2015, 2:58 PM
Jdforrester-WMF assigned this task to matmarex.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF triaged this task as High priority.May 21 2015, 4:55 PM
Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.Jun 17 2015, 11:34 PM